woceNames2oceNames {oce} | R Documentation

## Translate WOCE Data Names to Oce Data Names

### Description

Translate WOCE-style names to `oce` names, using `gsub` to match patterns. For example, the pattern `"CTDOXY.*"` is taken to mean `oxygen`.

### Usage

    woceNames2oceNames(names)

### Arguments

`names` | vector of strings holding WOCE-style names.

### Value

vector of strings holding `oce`-style names.

### Author(s)

Dan Kelley

### See Also

Other things related to `ctd` data: `[[,ctd-method`, `[[<-,ctd-method`, `as.ctd`, `cnvName2oceName`, `ctd-class`, `ctdDecimate`, `ctdFindProfiles`, `ctdRaw`, `ctdTrim`, `ctd`, `handleFlags,ctd-method`, `plot,ctd-method`, `plotProfile`, `plotScan`, `plotTS`, `read.ctd.itp`, `read.ctd.odf`, `read.ctd.sbe`, `read.ctd.woce.other`, `read.ctd.woce`, `read.ctd`, `subset,ctd-method`, `summary,ctd-method`, `write.ctd`

Other functions that interpret variable names and units from headers: `ODFNames2oceNames`, `cnvName2oceName`, `unitFromStringRsk`, `unitFromString`

[Package oce version 0.9-21 Index]